Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in OpenShift
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in OpenShift
ID: RHSA-2015:2615-01
Distribution: Red Hat
Plattformen: Red Hat OpenShift Enterprise
Datum: So, 13. Dezember 2015, 15:17
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-7528
Applikationen:

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: openshift security update
Advisory ID: RHSA-2015:2615-01
Product: Red Hat OpenShift Enterprise
Advisory URL: https://rhn.redhat.com/errata/RHSA-2015-2615.html
Issue date: 2015-12-10
CVE Names: CVE-2015-7528
=====================================================================

1. Summary:

Updated openshift images that fix one security issue are now
available for Red Hat OpenShift Enterprise 3.0 and 3.1.

Red Hat Product Security has rated this update as having Moderate
security impact. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available from the
CVE link in the References section.

2. Description:

OpenShift Enterprise by Red Hat is the company's cloud computing
Platform-as-a-Service (PaaS) solution designed for on-premise or
private cloud deployments.

It was found that OpenShift's API back end did not verify requests for
pod log locations, allowing a pod on a Node to request logs for any
other pod on that Node. A remote attacker could use this flaw to view
sensitive information via pod logs that they would normally not have
access to. (CVE-2015-7528)

This issue was discovered by Jordan Liggitt of Red Hat Atomic OpenShift.

To use the latest 'openshift3/ose:v3.1.0.4' image with the ID
"d4caa301790e" simply run the following command:

docker pull registry.access.redhat.com/openshift3/ose:v3.1.0.4

and then restart any containers based on this image.

All OpenShift Enterprise 3.0 and 3.1 users are advised to upgrade to
these updated images, which correct this issue.

3. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

4. Bugs fixed (https://bugzilla.redhat.com/):

1286745 - CVE-2015-7528 OpenShift: pod log location must validate container if
provided

5. References:

https://access.redhat.com/security/cve/CVE-2015-7528
https://access.redhat.com/security/updates/classification/#moderate

6. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFWaeEbXlSAg2UNWIIRAurKAJ9J+Xgb+G0wfwATRYo+o7gP6oqcwACfY+Fd
Uuex8gkcpQSID/2IhxVPDJ8=
=8/s8
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung